Bug 180155 - clicking on .ogg in dolphin does not open it in amarok
Summary: clicking on .ogg in dolphin does not open it in amarok
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0-SVN
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-09 17:48 UTC by Lubos Lunak
Modified: 2009-12-09 11:28 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
amarok2 patch (979 bytes, patch)
2009-01-09 17:49 UTC, Lubos Lunak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lubos Lunak 2009-01-09 17:48:33 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

Open in Dolphin a directory with .ogg files, click on one, asks what to open the file with. In file properties KDE (openSUSE11.1) says the mimetype is audio/x-vorbis+ogg and this is missing in amarok.desktop . I quite frankly don't have much clue about all the different ogg mimetypes, but this patch adds more of them, makes it work here and some of the mimetypes are also listed e.g. at http://wiki.xiph.org/index.php/MIME_Types_and_File_Extensions .
Comment 1 Lubos Lunak 2009-01-09 17:49:01 UTC
Created attachment 30062 [details]
amarok2 patch
Comment 2 Seb Ruiz 2009-01-10 02:44:35 UTC
SVN commit 908639 by seb:

Add ogg mimetypes to desktop file
BUG: 180155

 M  +3 -1      ChangeLog  
 M  +1 -1      src/amarok.desktop  


WebSVN link: http://websvn.kde.org/?view=rev&revision=908639
Comment 3 Dan Meltzer 2009-02-08 01:53:52 UTC
SVN commit 923009 by dmeltzer:

Backport revision 908639, Add ogg mimetypes to desktop file
BUG: 180155

 M  +2 -0      ChangeLog  
 M  +1 -1      src/amarok.desktop  


WebSVN link: http://websvn.kde.org/?view=rev&revision=923009